| Disk ARchive 2.6.12 Full featured and portable backup and archiving tool

Public Member Functions | Private Attributes | List of all members
libdar::wrapperlib Class Reference
Private

this class encapsulates calls to libz or libbz2 More...

`#include <wrapperlib.hpp>`

## Public Member Functions
| wrapperlib (wrapperlib_mode mode)
| wrapperlib (const wrapperlib &ref)=delete
| wrapperlib (wrapperlib &&ref) noexcept=delete
wrapperlib & | operator= (const wrapperlib &ref)=delete
wrapperlib & | operator= (wrapperlib &&ref) noexcept=delete
void | set_next_in (const char *x)
void | set_avail_in (U_I x)
U_I | get_avail_in () const
U_64 | get_total_in () const
void | set_next_out (char *x)
char * | get_next_out () const
void | set_avail_out (U_I x)
U_I | get_avail_out () const
U_64 | get_total_out () const
S_I | compressInit (U_I compression_level)
S_I | decompressInit ()
S_I | compressEnd ()
S_I | decompressEnd ()
S_I | compress (S_I flag)
S_I | decompress (S_I flag)
S_I | compressReset ()
S_I | decompressReset ()

## Private Attributes
S_I | level
void(wrapperlib::* | x_set_next_in )(const char *x)
void(wrapperlib::* | x_set_avail_in )(U_I x)
U_I(wrapperlib::* | x_get_avail_in )() const
U_64(wrapperlib::* | x_get_total_in )() const
void(wrapperlib::* | x_set_next_out )(char *x)
char *(wrapperlib::* | x_get_next_out )() const
void(wrapperlib::* | x_set_avail_out )(U_I x)
U_I(wrapperlib::* | x_get_avail_out )() const
U_64(wrapperlib::* | x_get_total_out )() const
S_I(wrapperlib::* | x_compressInit )(U_I compression_level)
S_I(wrapperlib::* | x_decompressInit )()
S_I(wrapperlib::* | x_compressEnd )()
S_I(wrapperlib::* | x_decompressEnd )()
S_I(wrapperlib::* | x_compress )(S_I flag)
S_I(wrapperlib::* | x_decompress )(S_I flag)

## Detailed Description

this class encapsulates calls to libz or libbz2

this is mainly an adaptation of libbz2 specificities to have libb2 acting exactly as libz does.

Definition at line 74 of file wrapperlib.hpp.

The documentation for this class was generated from the following file:

- wrapperlib.hpp